PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateDoublet

Creates a mesh of two cells of the specified type, optionally with later refinement.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateDoublet(MPI_Comm comm, PetscInt dim, PetscBool simplex, PetscBool interpolate, PetscReal refinementLimit, DM *newdm)

Collective

### Input Parameters

| comm | - The communicator for the DM object
| dim | - The spatial dimension
| simplex | - Flag for simplicial cells, otherwise they are tensor product cells
| interpolate | - Flag to create intermediate mesh pieces (edges, faces)
| refinementLimit | - A nonzero number indicates the largest admissible volume for a refined cell

### Output Parameter

| dm | - The DM object

### See Also

DMSetType(), DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/impls/plex/tutorials/ex4f90.F90.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages